diff --git a/zebra/interface.c b/zebra/interface.c
index ba6a376536e9..8891b528231b 100644
--- a/zebra/interface.c
+++ b/zebra/interface.c
@@ -201,6 +201,8 @@ static int if_zebra_delete_hook(struct interface *ifp)
 {
 	struct zebra_if *zebra_if;
 
+	zebra_l2if_update_bond(ifp, false);
+	
 	if (ifp->info) {
 		zebra_if = ifp->info;
 
@@ -217,6 +219,7 @@ static int if_zebra_delete_hook(struct interface *ifp)
 
 		rtadv_if_fini(zebra_if);
 
+
 		zebra_l2_bridge_if_cleanup(ifp);
 		zebra_evpn_if_cleanup(zebra_if);
 		zebra_evpn_mac_ifp_del(ifp);
